"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = __importDefault(require("fs-extra"));
var unzipper = require('unzipper');
async function extract(location) {
    return new Promise((resolve, reject) => {
        fs_extra_1.default.createReadStream(`./${location}/unpackaged.zip`)
            .pipe(unzipper.Extract({ path: `${location}` }))
            .on('close', () => {
            resolve();
        })
            .on('error', error => reject(error));
    });
}
exports.extract = extract;
//# sourceMappingURL=extract.js.map